| Flutter Linux Embedder |

Public Attributes | List of all members
_FlRendererClass Struct Reference

`#include <fl_renderer.h>`

## Public Attributes
GObjectClass | parent_class
gboolean(* | create_contexts )(FlRenderer *renderer, GtkWidget *widget, GdkGLContext **visible, GdkGLContext **resource, GError **error)
: proc name.
Virtual method called when Flutter needs OpenGL proc address. @renderer: an #FlRenderer. Returns: OpenGL proc address.
void *(* | get_proc_address )()
gboolean(* | create_backing_store )(FlRenderer *renderer, const FlutterBackingStoreConfig *config, FlutterBackingStore *backing_store_out)
gboolean(* | collect_backing_store )(FlRenderer *renderer, const FlutterBackingStore *backing_store)
gboolean(* | present_layers )(FlRenderer *renderer, const FlutterLayer **layers, size_t layers_count)

## Detailed Description

FlRenderer:

#FlRenderer is an abstract class that allows Flutter to draw pixels.

Definition at line 38 of file fl_renderer.h.

## Member Data Documentation

## ◆ collect_backing_store

gboolean(* _FlRendererClass::collect_backing_store) (FlRenderer *renderer, const FlutterBackingStore *backing_store)

Virtual method called when Flutter wants to release the backing store. @renderer: an #FlRenderer. @backing_store: backing store to be released.

Returns TRUE if successful.

Definition at line 87 of file fl_renderer.h.

## ◆ create_backing_store

gboolean(* _FlRendererClass::create_backing_store) (FlRenderer *renderer, const FlutterBackingStoreConfig *config, FlutterBackingStore *backing_store_out)

Virtual method called when Flutter needs a backing store for a specific #FlutterLayer. @renderer: an #FlRenderer. @config: backing store config. @backing_store_out: saves created backing store.

Returns TRUE if successful.

Definition at line 76 of file fl_renderer.h.

## ◆ create_contexts

gboolean(* _FlRendererClass::create_contexts) (FlRenderer *renderer, GtkWidget *widget, GdkGLContext **visible, GdkGLContext **resource, GError **error)

Virtual method called when Flutter needs #GdkGLContext to render. @renderer: an #FlRenderer. @widget: the widget being rendered on. @visible: (out): the GL context for visible surface. @resource: (out): the GL context for resource loading. @error: (allow-none): #GError location to store the error occurring, or NULL to ignore.

Returns: TRUE if both contexts were created, FALSE if there was an error.

Definition at line 52 of file fl_renderer.h.

## ◆ get_proc_address

void*(* _FlRendererClass::get_proc_address) ()

Definition at line 65 of file fl_renderer.h.

## ◆ parent_class

GObjectClass _FlRendererClass::parent_class

Definition at line 39 of file fl_renderer.h.

## ◆ present_layers

gboolean(* _FlRendererClass::present_layers) (FlRenderer *renderer, const FlutterLayer **layers, size_t layers_count)

Virtual method called when Flutter wants to composite layers onto the screen. @renderer: an #FlRenderer. @layers: layers to be composited. @layers_count: number of layers.

Returns TRUE if successful.

Definition at line 99 of file fl_renderer.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_renderer.h